Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Ret_Object_Argument_T< S_ptr, S_var > Class Template Reference

Specialization for CORBA::Object, necessitated since we don't have an Any insertion operator for Object. More...

`#include <Object_Argument_T.h>`

Inheritance diagram for TAO::Ret_Object_Argument_T< S_ptr, S_var >:

[legend]
Collaboration diagram for TAO::Ret_Object_Argument_T< S_ptr, S_var >:

[legend]
List of all members.

## Public Methods
| Ret_Object_Argument_T (void)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_result (CORBA::Any *)
S_ptr & | arg (void)
S_ptr | excp (void)
S_ptr | retn (void)
## Private Attributes
S_var | x_

## Detailed Description

### template<typename S_ptr, typename S_var>
class TAO::Ret_Object_Argument_T< S_ptr, S_var >

Specialization for CORBA::Object, necessitated since we don't have an Any insertion operator for Object.

## Constructor & Destructor Documentation

template<typename S_ptr, typename S_var>
ACE_INLINE TAO::Ret_Object_Argument_T< S_ptr, S_var >::Ret_Object_Argument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S_ptr, typename S_var>
ACE_INLINE S_ptr & TAO::Ret_Object_Argument_T< S_ptr, S_var >::arg | ( | void |  | ) |

template<typename S_ptr, typename S_var>
CORBA::Boolean TAO::Ret_Object_Argument_T< S_ptr, S_var >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S_ptr, typename S_var>
ACE_INLINE S_ptr TAO::Ret_Object_Argument_T< S_ptr, S_var >::excp | ( | void |  | ) |

template<typename S_ptr, typename S_var>
void TAO::Ret_Object_Argument_T< S_ptr, S_var >::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S_ptr, typename S_var>
ACE_INLINE S_ptr TAO::Ret_Object_Argument_T< S_ptr, S_var >::retn | ( | void |  | ) |

## Member Data Documentation

template<typename S_ptr, typename S_var>
S_var TAO::Ret_Object_Argument_T< S_ptr, S_var >::x_`[private]`

The documentation for this class was generated from the following files:

- Object_Argument_T.h
- Object.cpp
- Object_Argument_T.cpp
- Object_Argument_T.inl